CVE-2020-7658 Details

CVE-2020-7658

Published: 2020-05-22
Last Modified: 2020-05-28
CVE Author: NIST National Vulnerability Database
CVE Assigner: cve@mitre.org
Summary

meinheld prior to 1.0.2 is vulnerable to HTTP Request Smuggling. HTTP pipelining issues and request smuggling attacks might be possible due to incorrect Content-Length and Transfer encoding header parsing.

Analysis
Common Vulnerability Score System v2.0
Severity Medium
Base Score 4.3/10
Exploit Score 8.6/10
Access Vector Network
Access Complexity Medium
Authentication None
Impact Score 2.9/10
Confidentiality Impact None
Availability Impact None
Integrity Impact Partial
Vector String AV:N/AC:M/Au:N/C:N/I:P/A:N
Common Vulnerability Score System v3.1
Severity Medium
Base Score 6.1/10
Exploit Score 2.8/10
Access Vector Network
Access Complexity Low
Privileges Required None
Impact Score 2.7/10
Confidentiality Impact Low
Availability Impact None
Integrity Impact Low
Scope Changed
User Interaction Required
Vector String CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Products Reported
CPE Vulnerable Start Excluding
cpe:2.3:a:meinheld:meinheld:*:*:*:*:*:*:*:* Yes - 1.0.2
References

https://github.com/mopemope/meinheld/blob/master/CHANGES.rst,
https://snyk.io/vuln/SNYK-PYTHON-MEINHELD-569140

CVE ID
CVE-2020-7658
Published
2020-05-22
Modified
2020-05-28
CVSSv2.0
Medium
CVSSv3.1
Medium
PCI Compliance
Fail
US-CERT Alert
No
CWE
CWE-444

You never have to pay for a vulnerability scanning and management software again.

Tired of paying a subscription 'per asset' or 'per IP'? Well you can officially cancel your current subscription. Mageni provides a free, open source and enterprise-ready vulnerability scanning and management platform which helps you to find, prioritize, remediate and manage your vulnerabilities.